    ;009 ISR HIGH.ASM

;High priority interrupts service routine

;Interrupts desabled. STATUS, W & BSR saved automatically in the fast stack.
;------------------------------------------------------------------------------
;actual interrupts service code starts here
;------------------------------------------------------------------------------
  ;ojo ojo ojo anulado PIN_DEBUG_SET           ;DEBUG - set to show activity
;------------------------------------------------------------------------------
;actual interrupts service code starts here    
    
    BSF TBASE_FAST_ELAP		;show "fast time base period elapsed"
    DECFSZ CNTR_TBASE_SLOW  ;decrement the slow time base counter
    BRA TBASES_UPDATE_DONE  ;not =0 - period not elapsed - leave!

    LOADREG CNTR_TBASE_SLOW,COUNT_TBASE_SLOW
;slow timebase period = (period of fast timebase * COUNT_TBASE_SLOW)

    BSF TBASE_SLOW_ELAP     ;=1 show "slow time base period elapsed"

TBASES_UPDATE_DONE
    BCF PIR1,TMR2IF         ;=0 clears TMR2 match interrupt flag

;actual interrup service code ends here
;------------------------------------------------------------------------------
  ;ojo ojo ojo anulado PIN_DEBUG_CLEAR         ;DEBUG - reset to show activity
;------------------------------------------------------------------------------
    
    RETFIE FAST             

;STATUS, W & BSR retrieved from the fast stack. Back to main line code
;with interrupts enabled.
;actual interrup service code ends here
;------------------------------------------------------------------------------
