	;010 INIT SFR.ASM       18f4520

;SFRs initialized to POR sstatus - further specific settings in INIT HARDWARE
;here we simply ensure that the POR settings become true.
	
	CLRF TOSU
	CLRF TOSH
	CLRF TOSL

	CLRF STKPTR

	CLRF PCLATU
	CLRF PCLATH

	CLRF TBLPTRU
	CLRF TBLPTRH
	CLRF TBLPTRL
	CLRF TABLAT	
	
	CLRF PRODH
	CLRF PRODL

	CLRF INTCON
	LOADREG	INTCON2,B'11110101'
	LOADREG	INTCON3,B'11000000'

	CLRF FSR0H
	CLRF FSR0L

	CLRF FSR1H
	CLRF FSR1L
	
	CLRF BSR
	CLRF FSR2H
	CLRF FSR2L

	CLRF TMR0H
	CLRF TMR0L

	SETF T0CON

	CLRF OSCCON
	
	LOADREG	HLVDCON,B'00000101'
	CLRF WDTCON
	
	;WARNING: if you want to detect a hardware RESET,
	;RCON should BE NOT initialized as below
	
	LOADREG	RCON,B'00011100'

	CLRF TMR1H
	CLRF TMR1L

	CLRF T1CON
	CLRF TMR2
	SETF PR2
	CLRF T2CON

	CLRF SSPBUF
	CLRF SSPADD
	CLRF SSPSTAT
	CLRF SSPCON1
	CLRF SSPCON2
	
	CLRF ADRESH
	CLRF ADRESL
	CLRF ADCON0
	CLRF ADCON1
	CLRF ADCON2
	
	CLRF CCPR1H
	CLRF CCPR1L
	CLRF CCP1CON
	CLRF CCPR2H
	CLRF CCPR2L
	CLRF CCP2CON
	
	LOADREG BAUDCON,B'01000000'
	CLRF PWM1CON
	
	CLRF ECCP1AS
	
	CLRF CVRCON
	LOADREG CMCON,B'00000111'
	
	CLRF TMR3H
	CLRF TMR3L
	CLRF T3CON

	CLRF SPBRGH
	CLRF SPBRG	
	
	CLRF RCREG
	CLRF TXREG
	LOADREG TXSTA,B'00000010'
	CLRF RCSTA
	
	CLRF EEADR
	CLRF EEDATA
	CLRF EECON2
	CLRF EECON1

	LOADREG IPR2,B'11011111'
	CLRF PIR2
	CLRF PIE2

	SETF IPR1
	CLRF PIR1
	CLRF PIE1
	
	CLRF OSCTUNE

	LOADREG TRISE,B'00000111'
	SETF TRISD
	SETF TRISC
	SETF TRISB
	LOADREG TRISA,B'01111111'
	
	CLRF LATE
	CLRF LATD
	CLRF LATC
	CLRF LATB
	CLRF LATA
