	;ROUT KEYB SERV.ASM
	
KEYB_SERV_C7_R3
  BTFSC KEY_ACTIVE
  RETURN
  LOADREG TEMP,H'F5'              ;disable data reporting
  CALL PROCESS_ONE_ONE
  RETURN

KEYB_SERV_C7_R2
  BTFSC KEY_ACTIVE
  RETURN
  LOADREG TEMP,H'F0'              ;set remote
  CALL PROCESS_ONE_ONE
  RETURN

KEYB_SERV_C7_R1
  BTFSC KEY_ACTIVE
  RETURN
  LOADREG TEMP,H'EA'              ;set stream
  CALL PROCESS_ONE_ONE
  RETURN

KEYB_SERV_C7_R0
  BTFSC KEY_ACTIVE
  RETURN
  LOADREG TEMP,H'50'              ;number 80
  CALL PROCESS_ONE_MANY
  RETURN

KEYB_SERV_C6_R3
  BTFSC KEY_ACTIVE
  RETURN
  LOADREG TEMP,H'F6'              ;set default
  CALL PROCESS_ONE_ONE
  BSF KEY_ACTIVE
  RETURN

KEYB_SERV_C6_R2
  BTFSC KEY_ACTIVE
  RETURN
  LOADREG TEMP,H'F2'              ;get device ID
  CALL PROCESS_ONE_MANY
  BSF KEY_ACTIVE
  RETURN

KEYB_SERV_C6_R1
  BTFSC KEY_ACTIVE
  RETURN
  LOADREG TEMP,H'EB'              ;read data
  CALL PROCESS_ONE_MANY
  BSF KEY_ACTIVE
  RETURN

KEYB_SERV_C6_R0
  BTFSC KEY_ACTIVE
  RETURN
  LOADREG TEMP,H'64'              ;number 100
  CALL PROCESS_ONE_MANY
  BSF KEY_ACTIVE
  RETURN

KEYB_SERV_C5_R3
  BTFSC KEY_ACTIVE
  RETURN
  LOADREG TEMP,H'FE'              ;resend
  CALL PROCESS_ONE_MANY
  BSF KEY_ACTIVE
  RETURN

KEYB_SERV_C5_R2
  BTFSC KEY_ACTIVE
  RETURN
  LOADREG TEMP,H'F3'              ;set sample rate
  CALL PROCESS_ONE_MANY
  BSF KEY_ACTIVE
  RETURN

KEYB_SERV_C5_R1
  BTFSC KEY_ACTIVE
  RETURN
  LOADREG TEMP,H'EC'              ;reset wrap
  CALL PROCESS_ONE_ONE
  BSF KEY_ACTIVE
  RETURN

KEYB_SERV_C5_R0
  BTFSC KEY_ACTIVE
  RETURN
  LOADREG TEMP,H'C8'              ;number 200
  CALL PROCESS_ONE_MANY
  BSF KEY_ACTIVE
  RETURN

KEYB_SERV_C4_R3
  BTFSC KEY_ACTIVE
  RETURN
  LOADREG TEMP,H'FF'              ;reset
  CALL PROCESS_ONE_MANY
  BSF KEY_ACTIVE
  RETURN

KEYB_SERV_C4_R2
  BTFSC KEY_ACTIVE
  RETURN
  LOADREG TEMP,H'F4'              ;enable data reporting
  CALL PROCESS_ONE_ONE
  BSF KEY_ACTIVE
  RETURN

KEYB_SERV_C4_R1
  BTFSC KEY_ACTIVE
  RETURN
  LOADREG TEMP,H'EE'              ;set wrap
  CALL PROCESS_ONE_ONE
  BSF KEY_ACTIVE
  RETURN

KEYB_SERV_C4_R0
  BTFSC KEY_ACTIVE
  RETURN
  LOADREG TEMP,H'E9'              ;status request
  CALL PROCESS_ONE_MANY
  BSF KEY_ACTIVE
  RETURN
;------------------------------------------------------------------------------

