	;006 MACROS 03.ASM
	
LED_RED_ON MACRO
  BSF LED_RED
  ENDM

LED_RED_OFF MACRO
  BCF LED_RED
  ENDM

FLASH_LED_RED MACRO
  LED_RED_ON
  CALL DELAY_300_MILI
  LED_RED_OFF
  CALL DELAY_300_MILI
  ENDM
;-----------------------------------------------------------------

LED_GREEN_ON  MACRO
  BSF LED_GREEN
  ENDM

LED_GREEN_OFF MACRO
  BCF LED_GREEN
  ENDM

FLASH_LED_GREEN MACRO
  LED_GREEN_ON
  CALL DELAY_300_MILI
  LED_GREEN_OFF
  CALL DELAY_300_MILI
  ENDM
;-----------------------------------------------------------------

DEBUG_TRAP_RED	MACRO
	LOCAL DEBUG_TRAP_LOOP

DEBUG_TRAP_LOOP
	FLASH_LED_RED
	GOTO DEBUG_TRAP_LOOP
	ENDM
;-----------------------------------------------------------------

DEBUG_TRAP_GREEN MACRO
	LOCAL DEBUG_TRAP_LOOP

DEBUG_TRAP_LOOP
	FLASH_LED_GREEN
	GOTO DEBUG_TRAP_LOOP
	ENDM
;-----------------------------------------------------------------

PIN_DEBUG_SET MACRO
  BSF PIN_DEBUG
  ENDM
  
PIN_DEBUG_CLEAR MACRO
  BCF PIN_DEBUG
  ENDM
;------------------------------------------------------------------------------

CHK_WHEN_DATA_IS_HI MACRO
  LOCAL LOOP
LOOP
  BTFSS PIN_DATA_IN
  BRA LOOP
  ENDM

CHK_WHEN_DATA_IS_LO MACRO
  LOCAL LOOP
LOOP
  BTFSC PIN_DATA_IN
  BRA LOOP
  ENDM

CHK_WHEN_CLK_IS_LO MACRO
  LOCAL LOOP
LOOP
  BTFSC PIN_CLK_IN
  BRA LOOP
  PIN_DEBUG_CLEAR
  ENDM
  
CHK_WHEN_CLK_IS_HI MACRO
  LOCAL LOOP
LOOP
  BTFSS PIN_CLK_IN
  BRA LOOP
  PIN_DEBUG_SET
  ENDM

DELAY_AFTER MACRO
  CALL DELAY_005_MICR
  CALL DELAY_005_MICR
  CALL DELAY_005_MICR
  ENDM
  
;------------------------------------------------------------------------------

MAKE_PIN_CLK_OUT_LO MACRO
  BCF MOUSE_DIR,0
  ENDM

MAKE_PIN_CLK_OUT_HI MACRO
  BSF MOUSE_DIR,0
  ENDM  
  
MAKE_PIN_DATA_OUT_LO MACRO
  BCF MOUSE_DIR,1
  ENDM

MAKE_PIN_DATA_OUT_HI MACRO
  BSF MOUSE_DIR,1
  ENDM
    