
  ;014 INIT HARDWARE.ASM
  
;At this stage, the chip is as after a RESET.
;------------------------------------------------------------------------------
;All peripherals to be set here including interrupt preferences.
;Their interrupts to be enabled at the module INIT INETRRUPTS only.
;------------------------------------------------------------------------------
;01 - (I forgot what goes here initially. Maybe nothing...)
;------------------------------------------------------------------------------

;PORTs to be set here - Only general I/O pins and weak pullups set.
;Specific pins for peripherals should be set jointly with the peripheral below.
;------------------------------------------------------------------------------

;02 - LCD

  CLRF LCD_LAT               ;makes LCD_RS & LCD_E =0
  LOADREG LCD_DIR,B'00000011';set OUT pins
  ;                 .......1 IN PIN_CLK_OUT
  ;                 ......1. IN PIN_DATA_OUT
  ;                 .....0.. OUT pin LCD_E
  ;                 ....0... OUT pin LCD_RS
  ;                 ...0.... OUT pin b4
  ;                 ..0..... OUT pin b5
  ;                 .0...... OUT pin b6
  ;                 0....... OUT pin b7
;------------------------------------------------------------------------------

;03 - INTERFACE

  BSF PIN_MOUSE_ON

  LOADREG INTERF_DIR,B'00110000';sets the OUT pins.
  ;                    0....... XX    
  ;                    .0...... XX
  ;                    ..1..... IN
  ;                    ...1.... IN
  ;                    ....0... OUT PIN_MOUSE_ON
  ;                    .....0.. OUT PIN_DEBUG
  ;                    ......0. OUT LED_GREEN
  ;                    .......0 OUT LED_RED

;------------------------------------------------------------------------------

;04 - ENCODER
;------------------------------------------------------------------------------

;05 - 
;------------------------------------------------------------------------------

;06 -
;------------------------------------------------------------------------------

;07 - TMR0 module
;------------------------------------------------------------------------------

;08 - TMR1 module
;------------------------------------------------------------------------------

;09 - TMR1 oscillator
;------------------------------------------------------------------------------

;10 - TMR2 module
;------------------------------------------------------------------------------

;11 - TMR3 module
;------------------------------------------------------------------------------

;13 - CCP1 module
;------------------------------------------------------------------------------

;14 - CCP2 module
;------------------------------------------------------------------------------

;15 - MSSP module
  
;  LOADREG SSPSTAT,B'01000000';settings for SPI Master mode
;  ;                 0....... as in RESET
;  ;                 .1...... mode 0,0
;  ;                 ..0..... XX
;  ;                 ...0.... XX
;  ;                 ....0... XX
;  ;                 .....0.. XX
;  ;                 ......0. XX
;  ;                 .......0 XX
;
;  LOADREG SSPCON1,B'00000001';settings for SPI mode
;  ;                 0....... as in RESET
;  ;                 .0...... as in RESET
;  ;                 ..0..... SPI still disabled!!!
;  ;                 ...0.... SCK iddle at 0 level
;  ;                 ....0... 0 SSP is
;  ;                 .....0.. 0 Master
;  ;                 ......0. 0 with clock
;  ;                 .......1 0 = Fosc/16
;  
;  
;    BSF SSPCON1,SSPEN         ;we enable SPI NOW!!!
;------------------------------------------------------------------------------

;16 - I2C
;------------------------------------------------------------------------------

;17 - USART
;------------------------------------------------------------------------------

;18 - ADC

  LOADREG ADCON1,B'00001111'      ;all ADC inputs are made digital
  ;                0.......       XX
  ;                .0......       XX
  ;                ..0.....       XX
  ;                ...0....       XX
  ;                ....1...       make
  ;                .....1..       all ADC
  ;                ......1.       inputs, 
  ;                .......1       digital
;------------------------------------------------------------------------------

;19 - LVD
;------------------------------------------------------------------------------

;20 - Special features

;Port B weak pullups enabled for the keyboard.

  BCF INTCON2,NOT_RBPU
;------------------------------------------------------------------------------
 
  ;DEBUG
  FLASH_LED_RED
  FLASH_LED_GREEN
