	;015 INIT LCD.ASM

;Display initialization starts here. All "write" instructions. Steps numbered
;for easy identification. ;This LCD, Winstar's 16x02, is run with R/W control
;pin to ground, thus BUSY flag not checked. A delay is inserted instead.
			
	CALL DELAY_500_MILI
	;to ensure that the LCD's circuitry resets poperly.
	BCF LCD_RS
	BCF LCD_E
		
	LOADREG LCD_LAT,SYSTEM_SET_123	;1 System setup
	CALL PULSE_LCD_E
	CALL DELAY_005_MILI
	
	LOADREG LCD_LAT,SYSTEM_SET_123	;2 System setup
	CALL PULSE_LCD_E
	CALL DELAY_005_MILI
	
	LOADREG LCD_LAT,SYSTEM_SET_123	;3 System setup 
	CALL PULSE_LCD_E
	CALL DELAY_005_MILI
	
	LOADREG LCD_LAT,SYSTEM_SET_4 	;4 System setup   
	CALL PULSE_LCD_E
	CALL DELAY_005_MILI

	LOADREG LCD_LAT,B'00100000'	  ;5 4 bits data bus with
	CALL PULSE_LCD_E
													
	LOADREG LCD_LAT,B'10000000'	  ;6 2 lines - 5x8 chars
	CALL PULSE_LCD_E
	CALL DELAY_005_MILI

	LOADREG LCD_LAT,B'00000000'	  ;7 display
	CALL PULSE_LCD_E
	LOADREG LCD_LAT,B'10000000'	  ;8 off
	CALL PULSE_LCD_E
	CALL DELAY_005_MILI			
	
	LOADREG LCD_LAT,B'00000000'	  ;9 clear display
	CALL PULSE_LCD_E
	LOADREG LCD_LAT,B'00010000'	  ;10 cursor home
	CALL PULSE_LCD_E
	CALL DELAY_005_MILI

	LOADREG LCD_LAT,B'00000000'	  ;11 Setting entry mode
	CALL PULSE_LCD_E
	LOADREG LCD_LAT,B'01100000'	  ;12 incr DDRAM address/
	CALL PULSE_LCD_E				      ;display won't shift
	
	;Hardware initialization completed
;-----------------------------------------------------------------------------
	CALL LCD_DISP_ON_CRSR_ON_NOBLINK	    ;initial setting of the LCD display
