	;020 MAIN LOOP.ASM
	
	CALL DELAY_001_SEC
	
  SHOW_LCD_LINE	H'00',TEXT_BLANK_LINE
	SHOW_LCD_LINE	H'40',TEXT_BLANK_LINE
	
	LED_GREEN_ON
;******************************************************************************
	
	;To be able to catch the actual 1st two characters issued by the mouse
	;immediately after power up, we had to control the power to it with a
	;PNP transistor activated here below.
	
	;Doing otherwise should have no allowed to see the sole signal available
	;prior writing current code. When the (mouse) initialization occured, the
	;the PIC was still running through the domestic chores.
	
	;For any practical application, both, the transistor and the line of code
	;below, should be eliminated.
	
	BCF PIN_MOUSE_ON                ;enable supply to mouse
;******************************************************************************	
	
	CHK_WHEN_CLK_IS_HI              ;if CLK line high go and
	
	CALL RCV_1ST_FM_MOUSE           ;receive 1st code isued after initilization
  MOVFF BUFF_BITS_RCVD,TEMP
  CALL CONV_BIN8_ASCII
  MOVFF DIG_ASCII_H,BUFF_DISP_9
  MOVFF DIG_ASCII_L,BUFF_DISP_8
  
  CALL RCV_1ST_FM_MOUSE           ;receive 2nd code isued after initilization
  MOVFF BUFF_BITS_RCVD,TEMP
  CALL CONV_BIN8_ASCII
  MOVFF DIG_ASCII_H,BUFF_DISP_7
  MOVFF DIG_ASCII_L,BUFF_DISP_6
  

  LOADREG TEMP_LCD,H'45'          ;locate cursor to display them with pride!
  CALL LCD_CRSR_LOCATE
  
  MOVFF BUFF_DISP_9,TEMP_LCD      ;show digit in high byte
  RCALL LCD_WRITE_DATA
  MOVFF BUFF_DISP_8,TEMP_LCD      ;show digit in low byte
  RCALL LCD_WRITE_DATA            ;show the code to our public!
  LOADREG TEMP_LCD, A' '          ;show a space
  RCALL LCD_WRITE_DATA
  
  MOVFF BUFF_DISP_7,TEMP_LCD      ;show digit in high byte
  RCALL LCD_WRITE_DATA
  MOVFF BUFF_DISP_6,TEMP_LCD      ;show digit in low byte
  RCALL LCD_WRITE_DATA            ;show the seconf code to our fans!
  
;------------------------------------------------------------------------------
  
MAIN_LOOP
  CALL DECR_COUNTERS
  CALL READ_KEYB
  BRA MAIN_LOOP
  