  ;ROUT DISPLAY.ASM   18F family
  
CLEAN_DIG_BCD
  LOADREG CNTR_GRAL,9   ;9 digits to clean.
	LFSR 0,DIG_BCD_0		  ;FSR0 points to rightmost digit from the BCD buffer.

CLEAN_DIG_BCD_LOOP
  CLRF POSTINC0         ;makes digit =0 and then increases FSR0
  DECFSZ CNTR_GRAL
  BRA CLEAN_DIG_BCD_LOOP
  RETURN
;------------------------------------------------------------------------------

CLEAN_DIG_ASCII
  LOADREG CNTR_GRAL,12  ;12 digits to clean.
	LFSR 0,DIG_ASCII_0	  ;FSR0 points to rightmost digit from the ASCII buffer.
	MOVLW A'0'            ;value to be copied to each digit of the buffer.

CLEAN_DIG_ASCII_LOOP
  MOVFF WREG,POSTINC0   ;makes digit =A'0' and then increases FSR0
  DECFSZ CNTR_GRAL
  BRA CLEAN_DIG_ASCII_LOOP
  RETURN
;------------------------------------------------------------------------------

CLEAN_BUFF_DISPLAY
  LOADREG CNTR_GRAL,12  ;12 digits to clean.
	LFSR 0,DIG_BCD_0		  ;FSR0 points to rightmost digit from the BCD buffer.

CLEAN_BUFF_DISPLAY_LOOP
  CLRF POSTINC0         ;makes digit =0 and then increases FSR0
  DECFSZ CNTR_GRAL
  BRA CLEAN_BUFF_DISPLAY_LOOP
  RETURN
;------------------------------------------------------------------------------
 